Bug 137622 - error page when running named query
error page when running named query
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Mike MacKenzie
David Lawrence
https://bugzilla.redhat.com/beta2/bug...
:
Depends On:
Blocks: BZ_218_Beta3
  Show dependency treegraph
 
Reported: 2004-10-29 15:48 EDT by Roland McGrath
Modified: 2007-04-18 13:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 12:37:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2004-10-29 15:48:53 EDT
Description of problem:
click my "kernel bugs" named query (see URL above) and get error page

Version-Release number of selected component (if applicable):
beta2

How reproducible:
100%


DBD::Pg::st execute failed: ERROR:  JOIN/ON clause refers to "bugs", which is
not part of JOIN [for Statement "SELECT bugs.bug_id, bugs.bug_severity,
bugs.priority, bugs.bug_status, bugs.resolution, bugs.alias, bugs.bug_severity,
bugs.priority, bugs.rep_platform, map_assigned_to.login_name, bugs.bug_status,
bugs.resolution, bugs.short_desc, bugs.delta_ts FROM bugs LEFT JOIN
bug_group_map  ON bug_group_map.bug_id = bugs.bug_id  AND bug_group_map.group_id
NOT IN
(33,22,4,78,75,68,44,12,67,76,41,15,58,25,21,35,7,62,61,17,72,50,71,38,39)  LEFT
JOIN cc ON cc.bug_id = bugs.bug_id AND cc.who = 34397 LEFT JOIN cc cc_CC0 ON
bugs.bug_id = cc_CC0.bug_id AND cc_CC0.who IN(34397)  LEFT JOIN profiles
map_qa_contact ON bugs.qa_contact = map_qa_contact.userid  , profiles AS
map_assigned_to, profiles AS map_reporter LEFT JOIN longdescs longdescs_LD1 ON
longdescs_LD1.bug_id = bugs.bug_id  AND longdescs_LD1.who IN (34397) WHERE
bugs.assigned_to = map_assigned_to.userid AND bugs.assigned_to =
map_assigned_to.userid AND bugs.reporter = map_reporter.userid AND
(bugs.component_id IN
(3379,3378,3375,3377,3374,3373,3380,3376,7817,8647,9734,10755,11769)) AND
(bugs.bug_status IN
('NEW','ASSIGNED','REOPENED','NEEDINFO','MODIFIED','INVESTIGATE','ON_DEV','QA_READY','ON_QA'))
AND ((map_assigned_to.login_name IN ('roland@redhat.com')) OR
(map_reporter.login_name IN ('roland@redhat.com')) OR (cc_CC0.who IS NOT NULL)
OR (map_qa_contact.login_name IN ('roland@redhat.com')) OR (longdescs_LD1.who IS
NOT NULL)) AND ((bug_group_map.group_id IS NULL)    OR (bugs.reporter_accessible
= 1 AND bugs.reporter = 34397)     OR (bugs.cclist_accessible = 1 AND cc.who IS
NOT NULL)     OR (bugs.assigned_to = 34397) OR (bugs.qa_contact = 34397) ) GROUP
BY bugs.bug_id,
bugs.bug_id,bugs.bug_severity,bugs.priority,bugs.bug_status,bugs.resolution,bugs.alias,bugs.bug_severity,bugs.priority,bugs.rep_platform,map_assigned_to.login_name,bugs.bug_status,bugs.resolution,bugs.short_desc,bugs.delta_ts
ORDER BY
bugs.delta_ts,bugs.bug_status,bugs.priority,map_assigned_to.login_name,bugs.bug_id
"] at Bugzilla/DB.pm line 74
	Bugzilla::DB::SendSQL('SELECT bugs.bug_id, bugs.bug_severity, bugs.priority,
bugs.bu...') called at /var/www/bugzilla/beta2/buglist.cgi line 799
Comment 1 Mike MacKenzie 2004-11-11 12:37:18 EST
Fixed.  This fix will show up in the next beta release.

Note You need to log in before you can comment on or make changes to this bug.